| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# NTuple::Range< bool > Class Template Reference

`#include <NTuple.h>`

List of all members.

## Detailed Description

### template<>
class NTuple::Range< bool >

Definition at line 82 of file NTuple.h.

## Public Member Functions
| Range (const bool, const bool)
| Standard constructor.
| Range (const Range< bool > &)
| Copy constructor.
virtual | ~Range ()
| Destructor.
bool | lower () const
| Lower boundary of range.
bool | upper () const
| Upper boundary of range.
bool | distance () const
| Distance between lower and upper range.
## Static Public Member Functions
static bool | min ()
| Minimal number of data.
static bool | max ()
| Maximal number of data.

## Constructor & Destructor Documentation

NTuple::Range< bool >::Range | ( | const | bool,
|  | const | bool |
| ) |  |  | `[inline]`

Standard constructor.

Definition at line 86 of file NTuple.h.

    00086 {}

NTuple::Range< bool >::Range | ( | const Range< bool > & |  | ) | `[inline]`

Copy constructor.

Definition at line 88 of file NTuple.h.

    00088 {}

virtual NTuple::Range< bool >::~Range | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 90 of file NTuple.h.

    00090 {                               }

## Member Function Documentation

bool NTuple::Range< bool >::lower | ( |  | ) | const`[inline]`

Lower boundary of range.

Definition at line 92 of file NTuple.h.

    00092 { return false;                 }

bool NTuple::Range< bool >::upper | ( |  | ) | const`[inline]`

Upper boundary of range.

Definition at line 94 of file NTuple.h.

    00094 { return true;                  }

bool NTuple::Range< bool >::distance | ( |  | ) | const`[inline]`

Distance between lower and upper range.

Definition at line 96 of file NTuple.h.

    00096 { return true;                  }

static bool NTuple::Range< bool >::min | ( |  | ) | `[inline, static]`

Minimal number of data.

Definition at line 98 of file NTuple.h.

    00098 { return false;                 }

static bool NTuple::Range< bool >::max | ( |  | ) | `[inline, static]`

Maximal number of data.

Definition at line 100 of file NTuple.h.

    00100 { return true;                  }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/NTuple.h